# Intents

## Lists all Intent objects.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/Intents/{strSessionID}":{"get":{"tags":["Intents"],"summary":"Lists all Intent objects.","description":"This API requires a Giver session.","operationId":"Intents-ListIntents","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListIntentsResponse"}}}}}}}},"components":{"schemas":{"ListIntentsResponse":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of Intent objects.","format":"int32"},"intents":{"type":"array","items":{"$ref":"#/components/schemas/IntentSpecs"},"description":"List of Intent objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Intents request."},"IntentSpecs":{"type":"object","properties":{"intentID":{"type":"string","description":"Intent object ID.","nullable":true},"intentType":{"type":"string","description":"Function type, e.g. ```Internal``` or ```WebHook```.\r\nInternal intents are a limited subset implemented internally,\r\nwhile WebHook intents perform an external HTTP POST call to the\r\nspecified web hook, passing an ```IntentWebHookRequest```\r\nand expecting an ```IntentWebHookResponse``` in response.\r\nRequired during Add operations.\r\nIgnored during Update operations.","nullable":true},"name":{"type":"string","description":"Name of the Intent object. It is part of the ```IntentWebHookRequest```\r\nrequest passed to the web hook.\r\nRequired during Add operations.","nullable":true},"utterances":{"type":"array","items":{"$ref":"#/components/schemas/UtteranceSpecs"},"description":"List of accepted Utterance objects for this Intent, i.e. the\r\nlist of text sentences that can be used to express the intent.\r\nUtterances may include variable parts in the sentence by the use of\r\none or more slots. Slots are specified using the syntax ```{slot}```,\r\nwhere \"slot\" is the slot name. If present, their value is part of the\r\n```IntentWebHookRequest``` passed to the web hook. Each slot\r\ncan be present only once in the sentence, and must have been previously\r\ndefined with a Intent Slot object.\r\nA special slot is the ```{date}``` slot, which represents a\r\nperiod of time such as \"today\", \"yesterday\", \"last week\", \"next month\" etc.\r\nIts values is passed in the ```IntentWebHookRequest``` as the\r\n```BeginUTC``` and ```EndUTC``` properties.\r\nRequired during Add operations.","nullable":true},"timeoutIntent":{"type":"boolean","description":"If ```True``` this Intent may be executed to serve a Timeout event\r\nin R1 state. In this case the utterance is null.\r\nIn case more than one Intent have this flag set, a random one is picked.","nullable":true},"webHook":{"type":"string","description":"HTTP URL of the web hook to be called when the intent is recognized.\r\nIf the intent is of Internal type, it is ignored.","nullable":true},"validityMinutes":{"type":"number","description":"Time to cache the intent response, expressed in minutes. May be\r\nfractional. A cached intent response is used only when the a subsequent intent request\r\nmatches exactly the original request.\r\nSee also ```RequestValidityMinutes``` in ```WebHookRequest```.","format":"double","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Intent object."},"UtteranceSpecs":{"type":"object","properties":{"utteranceID":{"type":"string","description":"Utterance object ID.","nullable":true},"text":{"type":"string","description":"Accepted Utterance object for its corresponding intent, i.e. the\r\ntext sentence that can be used to express the intent.\r\nAn Utterance may include variable parts in the sentence by the use of\r\none or more slots. Slots are specified using the syntax ```{slot}```,\r\nwhere \"slot\" is the slot name. If present, their value is part of the\r\n```IntentWebHookRequest``` passed to the web hook. Each slot\r\ncan be present only once in the sentence, and must have been previously\r\ndefined with a Intent Slot object.\r\nA special slot is the ```{date}``` slot, which represents a\r\nperiod of time such as \"today\", \"yesterday\", \"last week\", \"next month\" etc.\r\nIts values is passed in the ```IntentWebHookRequest``` as the\r\n```BeginUTC``` and ```EndUTC``` properties.\r\nRequired during Add operations.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Utterance object."}}}}
````

## Lists Intent objects with pagination.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/Intents/{strSessionID}/{from}/{howMany}":{"get":{"tags":["Intents"],"summary":"Lists Intent objects with pagination.","description":"This API requires a Giver session.","operationId":"Intents-ListIntentsPaginated","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"from","in":"path","description":"The 0-based index of the first Intent object to list","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"howMany","in":"path","description":"The number of the Intent objects to list","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListIntentsResponse"}}}}}}}},"components":{"schemas":{"ListIntentsResponse":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of Intent objects.","format":"int32"},"intents":{"type":"array","items":{"$ref":"#/components/schemas/IntentSpecs"},"description":"List of Intent objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Intents request."},"IntentSpecs":{"type":"object","properties":{"intentID":{"type":"string","description":"Intent object ID.","nullable":true},"intentType":{"type":"string","description":"Function type, e.g. ```Internal``` or ```WebHook```.\r\nInternal intents are a limited subset implemented internally,\r\nwhile WebHook intents perform an external HTTP POST call to the\r\nspecified web hook, passing an ```IntentWebHookRequest```\r\nand expecting an ```IntentWebHookResponse``` in response.\r\nRequired during Add operations.\r\nIgnored during Update operations.","nullable":true},"name":{"type":"string","description":"Name of the Intent object. It is part of the ```IntentWebHookRequest```\r\nrequest passed to the web hook.\r\nRequired during Add operations.","nullable":true},"utterances":{"type":"array","items":{"$ref":"#/components/schemas/UtteranceSpecs"},"description":"List of accepted Utterance objects for this Intent, i.e. the\r\nlist of text sentences that can be used to express the intent.\r\nUtterances may include variable parts in the sentence by the use of\r\none or more slots. Slots are specified using the syntax ```{slot}```,\r\nwhere \"slot\" is the slot name. If present, their value is part of the\r\n```IntentWebHookRequest``` passed to the web hook. Each slot\r\ncan be present only once in the sentence, and must have been previously\r\ndefined with a Intent Slot object.\r\nA special slot is the ```{date}``` slot, which represents a\r\nperiod of time such as \"today\", \"yesterday\", \"last week\", \"next month\" etc.\r\nIts values is passed in the ```IntentWebHookRequest``` as the\r\n```BeginUTC``` and ```EndUTC``` properties.\r\nRequired during Add operations.","nullable":true},"timeoutIntent":{"type":"boolean","description":"If ```True``` this Intent may be executed to serve a Timeout event\r\nin R1 state. In this case the utterance is null.\r\nIn case more than one Intent have this flag set, a random one is picked.","nullable":true},"webHook":{"type":"string","description":"HTTP URL of the web hook to be called when the intent is recognized.\r\nIf the intent is of Internal type, it is ignored.","nullable":true},"validityMinutes":{"type":"number","description":"Time to cache the intent response, expressed in minutes. May be\r\nfractional. A cached intent response is used only when the a subsequent intent request\r\nmatches exactly the original request.\r\nSee also ```RequestValidityMinutes``` in ```WebHookRequest```.","format":"double","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Intent object."},"UtteranceSpecs":{"type":"object","properties":{"utteranceID":{"type":"string","description":"Utterance object ID.","nullable":true},"text":{"type":"string","description":"Accepted Utterance object for its corresponding intent, i.e. the\r\ntext sentence that can be used to express the intent.\r\nAn Utterance may include variable parts in the sentence by the use of\r\none or more slots. Slots are specified using the syntax ```{slot}```,\r\nwhere \"slot\" is the slot name. If present, their value is part of the\r\n```IntentWebHookRequest``` passed to the web hook. Each slot\r\ncan be present only once in the sentence, and must have been previously\r\ndefined with a Intent Slot object.\r\nA special slot is the ```{date}``` slot, which represents a\r\nperiod of time such as \"today\", \"yesterday\", \"last week\", \"next month\" etc.\r\nIts values is passed in the ```IntentWebHookRequest``` as the\r\n```BeginUTC``` and ```EndUTC``` properties.\r\nRequired during Add operations.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Utterance object."}}}}
````

## Gets the details of an Intent object.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/Intent/{strSessionID}/{strIntentID}":{"get":{"tags":["Intents"],"summary":"Gets the details of an Intent object.","description":"This API requires a Giver session.","operationId":"Intents-GetIntent","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strIntentID","in":"path","description":"The Intent object ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetIntentResponse"}}}}}}}},"components":{"schemas":{"GetIntentResponse":{"type":"object","properties":{"intent":{"$ref":"#/components/schemas/IntentSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a Get Intent request."},"IntentSpecs":{"type":"object","properties":{"intentID":{"type":"string","description":"Intent object ID.","nullable":true},"intentType":{"type":"string","description":"Function type, e.g. ```Internal``` or ```WebHook```.\r\nInternal intents are a limited subset implemented internally,\r\nwhile WebHook intents perform an external HTTP POST call to the\r\nspecified web hook, passing an ```IntentWebHookRequest```\r\nand expecting an ```IntentWebHookResponse``` in response.\r\nRequired during Add operations.\r\nIgnored during Update operations.","nullable":true},"name":{"type":"string","description":"Name of the Intent object. It is part of the ```IntentWebHookRequest```\r\nrequest passed to the web hook.\r\nRequired during Add operations.","nullable":true},"utterances":{"type":"array","items":{"$ref":"#/components/schemas/UtteranceSpecs"},"description":"List of accepted Utterance objects for this Intent, i.e. the\r\nlist of text sentences that can be used to express the intent.\r\nUtterances may include variable parts in the sentence by the use of\r\none or more slots. Slots are specified using the syntax ```{slot}```,\r\nwhere \"slot\" is the slot name. If present, their value is part of the\r\n```IntentWebHookRequest``` passed to the web hook. Each slot\r\ncan be present only once in the sentence, and must have been previously\r\ndefined with a Intent Slot object.\r\nA special slot is the ```{date}``` slot, which represents a\r\nperiod of time such as \"today\", \"yesterday\", \"last week\", \"next month\" etc.\r\nIts values is passed in the ```IntentWebHookRequest``` as the\r\n```BeginUTC``` and ```EndUTC``` properties.\r\nRequired during Add operations.","nullable":true},"timeoutIntent":{"type":"boolean","description":"If ```True``` this Intent may be executed to serve a Timeout event\r\nin R1 state. In this case the utterance is null.\r\nIn case more than one Intent have this flag set, a random one is picked.","nullable":true},"webHook":{"type":"string","description":"HTTP URL of the web hook to be called when the intent is recognized.\r\nIf the intent is of Internal type, it is ignored.","nullable":true},"validityMinutes":{"type":"number","description":"Time to cache the intent response, expressed in minutes. May be\r\nfractional. A cached intent response is used only when the a subsequent intent request\r\nmatches exactly the original request.\r\nSee also ```RequestValidityMinutes``` in ```WebHookRequest```.","format":"double","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Intent object."},"UtteranceSpecs":{"type":"object","properties":{"utteranceID":{"type":"string","description":"Utterance object ID.","nullable":true},"text":{"type":"string","description":"Accepted Utterance object for its corresponding intent, i.e. the\r\ntext sentence that can be used to express the intent.\r\nAn Utterance may include variable parts in the sentence by the use of\r\none or more slots. Slots are specified using the syntax ```{slot}```,\r\nwhere \"slot\" is the slot name. If present, their value is part of the\r\n```IntentWebHookRequest``` passed to the web hook. Each slot\r\ncan be present only once in the sentence, and must have been previously\r\ndefined with a Intent Slot object.\r\nA special slot is the ```{date}``` slot, which represents a\r\nperiod of time such as \"today\", \"yesterday\", \"last week\", \"next month\" etc.\r\nIts values is passed in the ```IntentWebHookRequest``` as the\r\n```BeginUTC``` and ```EndUTC``` properties.\r\nRequired during Add operations.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Utterance object."}}}}
````

## Removes an existing Intent object.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/Intent/{strSessionID}/{strIntentID}":{"delete":{"tags":["Intents"],"summary":"Removes an existing Intent object.","description":"This API requires a Giver session.","operationId":"Intents-RemoveIntent","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strIntentID","in":"path","description":"The Intent object ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}}},"components":{"schemas":{"Response":{"type":"object","properties":{"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Base response."}}}}
````

## Updates an existing Intent object.

> This API requires a Giver session.> \
> Only non-null (present) fields are considered for update.> \
> Null or absent fields are left unaltered.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/Intent/{strSessionID}/{strIntentID}":{"patch":{"tags":["Intents"],"summary":"Updates an existing Intent object.","description":"This API requires a Giver session.\r\nOnly non-null (present) fields are considered for update.\r\nNull or absent fields are left unaltered.","operationId":"Intents-UpdateIntent","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strIntentID","in":"path","description":"The Intent object ID","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The Intent object specifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateIntentSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}}},"components":{"schemas":{"UpdateIntentSpecs":{"type":"object","properties":{"intentID":{"type":"string","description":"Intent object ID.","nullable":true},"intentType":{"type":"string","description":"Function type, e.g. ```Internal``` or ```WebHook```.\r\nInternal intents are a limited subset implemented internally,\r\nwhile WebHook intents perform an external HTTP POST call to the\r\nspecified web hook, passing an ```IntentWebHookRequest```\r\nand expecting an ```IntentWebHookResponse``` in response.\r\nRequired during Add operations.\r\nIgnored during Update operations.","nullable":true},"name":{"type":"string","description":"Name of the Intent object. It is part of the ```IntentWebHookRequest```\r\nrequest passed to the web hook.\r\nRequired during Add operations.","nullable":true},"utterances":{"type":"array","items":{"$ref":"#/components/schemas/UtteranceSpecs"},"description":"List of accepted Utterance objects for this Intent, i.e. the\r\nlist of text sentences that can be used to express the intent.\r\nUtterances may include variable parts in the sentence by the use of\r\none or more slots. Slots are specified using the syntax ```{slot}```,\r\nwhere \"slot\" is the slot name. If present, their value is part of the\r\n```IntentWebHookRequest``` passed to the web hook. Each slot\r\ncan be present only once in the sentence, and must have been previously\r\ndefined with a Intent Slot object.\r\nA special slot is the ```{date}``` slot, which represents a\r\nperiod of time such as \"today\", \"yesterday\", \"last week\", \"next month\" etc.\r\nIts values is passed in the ```IntentWebHookRequest``` as the\r\n```BeginUTC``` and ```EndUTC``` properties.\r\nRequired during Add operations.","nullable":true},"timeoutIntent":{"type":"boolean","description":"If ```True``` this Intent may be executed to serve a Timeout event\r\nin R1 state. In this case the utterance is null.\r\nIn case more than one Intent have this flag set, a random one is picked.","nullable":true},"webHook":{"type":"string","description":"HTTP URL of the web hook to be called when the intent is recognized.\r\nIf the intent is of Internal type, it is ignored.","nullable":true},"validityMinutes":{"type":"number","description":"Time to cache the intent response, expressed in minutes. May be\r\nfractional. A cached intent response is used only when the a subsequent intent request\r\nmatches exactly the original request.\r\nSee also ```RequestValidityMinutes``` in ```WebHookRequest```.","format":"double","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications for an Update Intent request."},"UtteranceSpecs":{"type":"object","properties":{"utteranceID":{"type":"string","description":"Utterance object ID.","nullable":true},"text":{"type":"string","description":"Accepted Utterance object for its corresponding intent, i.e. the\r\ntext sentence that can be used to express the intent.\r\nAn Utterance may include variable parts in the sentence by the use of\r\none or more slots. Slots are specified using the syntax ```{slot}```,\r\nwhere \"slot\" is the slot name. If present, their value is part of the\r\n```IntentWebHookRequest``` passed to the web hook. Each slot\r\ncan be present only once in the sentence, and must have been previously\r\ndefined with a Intent Slot object.\r\nA special slot is the ```{date}``` slot, which represents a\r\nperiod of time such as \"today\", \"yesterday\", \"last week\", \"next month\" etc.\r\nIts values is passed in the ```IntentWebHookRequest``` as the\r\n```BeginUTC``` and ```EndUTC``` properties.\r\nRequired during Add operations.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Utterance object."},"Response":{"type":"object","properties":{"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Base response."}}}}
````

## Adds a new Intent object.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/Intent/{strSessionID}":{"post":{"tags":["Intents"],"summary":"Adds a new Intent object.","description":"This API requires a Giver session.","operationId":"Intents-AddIntent","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The Intent object specifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddIntentSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddIntentResponse"}}}}}}}},"components":{"schemas":{"AddIntentSpecs":{"type":"object","properties":{"intentID":{"type":"string","description":"Intent object ID.","nullable":true},"intentType":{"type":"string","description":"Function type, e.g. ```Internal``` or ```WebHook```.\r\nInternal intents are a limited subset implemented internally,\r\nwhile WebHook intents perform an external HTTP POST call to the\r\nspecified web hook, passing an ```IntentWebHookRequest```\r\nand expecting an ```IntentWebHookResponse``` in response.\r\nRequired during Add operations.\r\nIgnored during Update operations.","nullable":true},"name":{"type":"string","description":"Name of the Intent object. It is part of the ```IntentWebHookRequest```\r\nrequest passed to the web hook.\r\nRequired during Add operations.","nullable":true},"utterances":{"type":"array","items":{"$ref":"#/components/schemas/UtteranceSpecs"},"description":"List of accepted Utterance objects for this Intent, i.e. the\r\nlist of text sentences that can be used to express the intent.\r\nUtterances may include variable parts in the sentence by the use of\r\none or more slots. Slots are specified using the syntax ```{slot}```,\r\nwhere \"slot\" is the slot name. If present, their value is part of the\r\n```IntentWebHookRequest``` passed to the web hook. Each slot\r\ncan be present only once in the sentence, and must have been previously\r\ndefined with a Intent Slot object.\r\nA special slot is the ```{date}``` slot, which represents a\r\nperiod of time such as \"today\", \"yesterday\", \"last week\", \"next month\" etc.\r\nIts values is passed in the ```IntentWebHookRequest``` as the\r\n```BeginUTC``` and ```EndUTC``` properties.\r\nRequired during Add operations.","nullable":true},"timeoutIntent":{"type":"boolean","description":"If ```True``` this Intent may be executed to serve a Timeout event\r\nin R1 state. In this case the utterance is null.\r\nIn case more than one Intent have this flag set, a random one is picked.","nullable":true},"webHook":{"type":"string","description":"HTTP URL of the web hook to be called when the intent is recognized.\r\nIf the intent is of Internal type, it is ignored.","nullable":true},"validityMinutes":{"type":"number","description":"Time to cache the intent response, expressed in minutes. May be\r\nfractional. A cached intent response is used only when the a subsequent intent request\r\nmatches exactly the original request.\r\nSee also ```RequestValidityMinutes``` in ```WebHookRequest```.","format":"double","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications for an Add Intent request."},"UtteranceSpecs":{"type":"object","properties":{"utteranceID":{"type":"string","description":"Utterance object ID.","nullable":true},"text":{"type":"string","description":"Accepted Utterance object for its corresponding intent, i.e. the\r\ntext sentence that can be used to express the intent.\r\nAn Utterance may include variable parts in the sentence by the use of\r\none or more slots. Slots are specified using the syntax ```{slot}```,\r\nwhere \"slot\" is the slot name. If present, their value is part of the\r\n```IntentWebHookRequest``` passed to the web hook. Each slot\r\ncan be present only once in the sentence, and must have been previously\r\ndefined with a Intent Slot object.\r\nA special slot is the ```{date}``` slot, which represents a\r\nperiod of time such as \"today\", \"yesterday\", \"last week\", \"next month\" etc.\r\nIts values is passed in the ```IntentWebHookRequest``` as the\r\n```BeginUTC``` and ```EndUTC``` properties.\r\nRequired during Add operations.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Utterance object."},"AddIntentResponse":{"type":"object","properties":{"intentID":{"type":"string","description":"Intent object ID.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of an Add Intent request."}}}}
````

## Lists all Intent Slot objects.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/IntentSlots/{strSessionID}":{"get":{"tags":["Intents"],"summary":"Lists all Intent Slot objects.","description":"This API requires a Giver session.","operationId":"Intents-ListIntentSlots","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListIntentSlotsResponse"}}}}}}}},"components":{"schemas":{"ListIntentSlotsResponse":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of Intent Slot objects.","format":"int32"},"intentSlots":{"type":"array","items":{"$ref":"#/components/schemas/IntentSlotSpecs"},"description":"List of Intent Slot objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Intent Slots request."},"IntentSlotSpecs":{"type":"object","properties":{"intentSlotID":{"type":"string","description":"Intent Slot object ID.","nullable":true},"name":{"type":"string","description":"Name of the Intent Slot object. It is part of the ```SlotWebHookRequest```\r\nrequest passed to the web hook.\r\nRequired during Add operations.","nullable":true},"values":{"type":"array","items":{"type":"string"},"description":"List of possible values of the slot.\r\nA slot may be composed of fixed values in this property,\r\ndynamic values fetched from the web hook, or a combination of both.\r\nEach value is considered only once (duplicate values are ignored).","nullable":true},"webHook":{"type":"string","description":"HTTP URL of the web hook to be called when the slot values must be fetched.\r\nMay be null if the slot is composed only of fixed values in\r\nthe ```Values``` property.\r\nIf specified, the web hook is called periodically with an HTTP POST call,\r\npassing a ```SlotWebHookRequest``` and expecting a ```SlotWebHookResponse```\r\nin response. Periodicity is determined by the ```ValidityMinutes``` property,\r\nwith a minimum of 0.5 (30 seconds).","nullable":true},"validityMinutes":{"type":"number","description":"Time to cache the slot values, expressed in minutes. May be\r\nfractional. A cached slot response is used only when the a subsequent slot request\r\nmatches exactly the original request.\r\nSee also ```RequestValidityMinutes``` in ```WebHookRequest```.","format":"double","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Intent Slot object."}}}}
````

## Lists Intent Slot objects with pagination.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/IntentSlots/{strSessionID}/{from}/{howMany}":{"get":{"tags":["Intents"],"summary":"Lists Intent Slot objects with pagination.","description":"This API requires a Giver session.","operationId":"Intents-ListIntentSlotsPaginated","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"from","in":"path","description":"The 0-based index of the first Intent Slot object to list","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"howMany","in":"path","description":"The number of the Intent Slot objects to list","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListIntentSlotsResponse"}}}}}}}},"components":{"schemas":{"ListIntentSlotsResponse":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of Intent Slot objects.","format":"int32"},"intentSlots":{"type":"array","items":{"$ref":"#/components/schemas/IntentSlotSpecs"},"description":"List of Intent Slot objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Intent Slots request."},"IntentSlotSpecs":{"type":"object","properties":{"intentSlotID":{"type":"string","description":"Intent Slot object ID.","nullable":true},"name":{"type":"string","description":"Name of the Intent Slot object. It is part of the ```SlotWebHookRequest```\r\nrequest passed to the web hook.\r\nRequired during Add operations.","nullable":true},"values":{"type":"array","items":{"type":"string"},"description":"List of possible values of the slot.\r\nA slot may be composed of fixed values in this property,\r\ndynamic values fetched from the web hook, or a combination of both.\r\nEach value is considered only once (duplicate values are ignored).","nullable":true},"webHook":{"type":"string","description":"HTTP URL of the web hook to be called when the slot values must be fetched.\r\nMay be null if the slot is composed only of fixed values in\r\nthe ```Values``` property.\r\nIf specified, the web hook is called periodically with an HTTP POST call,\r\npassing a ```SlotWebHookRequest``` and expecting a ```SlotWebHookResponse```\r\nin response. Periodicity is determined by the ```ValidityMinutes``` property,\r\nwith a minimum of 0.5 (30 seconds).","nullable":true},"validityMinutes":{"type":"number","description":"Time to cache the slot values, expressed in minutes. May be\r\nfractional. A cached slot response is used only when the a subsequent slot request\r\nmatches exactly the original request.\r\nSee also ```RequestValidityMinutes``` in ```WebHookRequest```.","format":"double","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Intent Slot object."}}}}
````

## Gets the details of an Intent Slot object.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/IntentSlot/{strSessionID}/{strSlotID}":{"get":{"tags":["Intents"],"summary":"Gets the details of an Intent Slot object.","description":"This API requires a Giver session.","operationId":"Intents-GetIntentSlot","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strSlotID","in":"path","description":"The Intent Slot object ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetIntentSlotResponse"}}}}}}}},"components":{"schemas":{"GetIntentSlotResponse":{"type":"object","properties":{"intentSlot":{"$ref":"#/components/schemas/IntentSlotSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a Get Intent Slot request."},"IntentSlotSpecs":{"type":"object","properties":{"intentSlotID":{"type":"string","description":"Intent Slot object ID.","nullable":true},"name":{"type":"string","description":"Name of the Intent Slot object. It is part of the ```SlotWebHookRequest```\r\nrequest passed to the web hook.\r\nRequired during Add operations.","nullable":true},"values":{"type":"array","items":{"type":"string"},"description":"List of possible values of the slot.\r\nA slot may be composed of fixed values in this property,\r\ndynamic values fetched from the web hook, or a combination of both.\r\nEach value is considered only once (duplicate values are ignored).","nullable":true},"webHook":{"type":"string","description":"HTTP URL of the web hook to be called when the slot values must be fetched.\r\nMay be null if the slot is composed only of fixed values in\r\nthe ```Values``` property.\r\nIf specified, the web hook is called periodically with an HTTP POST call,\r\npassing a ```SlotWebHookRequest``` and expecting a ```SlotWebHookResponse```\r\nin response. Periodicity is determined by the ```ValidityMinutes``` property,\r\nwith a minimum of 0.5 (30 seconds).","nullable":true},"validityMinutes":{"type":"number","description":"Time to cache the slot values, expressed in minutes. May be\r\nfractional. A cached slot response is used only when the a subsequent slot request\r\nmatches exactly the original request.\r\nSee also ```RequestValidityMinutes``` in ```WebHookRequest```.","format":"double","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Intent Slot object."}}}}
````

## Removes an existing Intent Slot object.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/IntentSlot/{strSessionID}/{strSlotID}":{"delete":{"tags":["Intents"],"summary":"Removes an existing Intent Slot object.","description":"This API requires a Giver session.","operationId":"Intents-RemoveIntentSlot","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strSlotID","in":"path","description":"The Intent Slot object ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}}},"components":{"schemas":{"Response":{"type":"object","properties":{"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Base response."}}}}
````

## Updates an existing Intent Slot object.

> This API requires a Giver session.> \
> Only non-null (present) fields are considered for update.> \
> Null or absent fields are left unaltered.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/IntentSlot/{strSessionID}/{strSlotID}":{"patch":{"tags":["Intents"],"summary":"Updates an existing Intent Slot object.","description":"This API requires a Giver session.\r\nOnly non-null (present) fields are considered for update.\r\nNull or absent fields are left unaltered.","operationId":"Intents-UpdateIntentSlot","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strSlotID","in":"path","description":"The Intent Slot object ID","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The Intent Slot object specifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateIntentSlotSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}}},"components":{"schemas":{"UpdateIntentSlotSpecs":{"type":"object","properties":{"intentSlotID":{"type":"string","description":"Intent Slot object ID.","nullable":true},"name":{"type":"string","description":"Name of the Intent Slot object. It is part of the ```SlotWebHookRequest```\r\nrequest passed to the web hook.\r\nRequired during Add operations.","nullable":true},"values":{"type":"array","items":{"type":"string"},"description":"List of possible values of the slot.\r\nA slot may be composed of fixed values in this property,\r\ndynamic values fetched from the web hook, or a combination of both.\r\nEach value is considered only once (duplicate values are ignored).","nullable":true},"webHook":{"type":"string","description":"HTTP URL of the web hook to be called when the slot values must be fetched.\r\nMay be null if the slot is composed only of fixed values in\r\nthe ```Values``` property.\r\nIf specified, the web hook is called periodically with an HTTP POST call,\r\npassing a ```SlotWebHookRequest``` and expecting a ```SlotWebHookResponse```\r\nin response. Periodicity is determined by the ```ValidityMinutes``` property,\r\nwith a minimum of 0.5 (30 seconds).","nullable":true},"validityMinutes":{"type":"number","description":"Time to cache the slot values, expressed in minutes. May be\r\nfractional. A cached slot response is used only when the a subsequent slot request\r\nmatches exactly the original request.\r\nSee also ```RequestValidityMinutes``` in ```WebHookRequest```.","format":"double","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications for an Update Intent Slot request."},"Response":{"type":"object","properties":{"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Base response."}}}}
````

## Adds a new Intent Slot object.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/IntentSlot/{strSessionID}":{"post":{"tags":["Intents"],"summary":"Adds a new Intent Slot object.","description":"This API requires a Giver session.","operationId":"Intents-AddIntentSlot","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The Intent Slot object specifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddIntentSlotSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddIntentSlotResponse"}}}}}}}},"components":{"schemas":{"AddIntentSlotSpecs":{"type":"object","properties":{"intentSlotID":{"type":"string","description":"Intent Slot object ID.","nullable":true},"name":{"type":"string","description":"Name of the Intent Slot object. It is part of the ```SlotWebHookRequest```\r\nrequest passed to the web hook.\r\nRequired during Add operations.","nullable":true},"values":{"type":"array","items":{"type":"string"},"description":"List of possible values of the slot.\r\nA slot may be composed of fixed values in this property,\r\ndynamic values fetched from the web hook, or a combination of both.\r\nEach value is considered only once (duplicate values are ignored).","nullable":true},"webHook":{"type":"string","description":"HTTP URL of the web hook to be called when the slot values must be fetched.\r\nMay be null if the slot is composed only of fixed values in\r\nthe ```Values``` property.\r\nIf specified, the web hook is called periodically with an HTTP POST call,\r\npassing a ```SlotWebHookRequest``` and expecting a ```SlotWebHookResponse```\r\nin response. Periodicity is determined by the ```ValidityMinutes``` property,\r\nwith a minimum of 0.5 (30 seconds).","nullable":true},"validityMinutes":{"type":"number","description":"Time to cache the slot values, expressed in minutes. May be\r\nfractional. A cached slot response is used only when the a subsequent slot request\r\nmatches exactly the original request.\r\nSee also ```RequestValidityMinutes``` in ```WebHookRequest```.","format":"double","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications for an Add Intent Slot request."},"AddIntentSlotResponse":{"type":"object","properties":{"intentSlotID":{"type":"string","description":"Intent Slot object ID.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of an Add Intent Slot request."}}}}
````
